Package frc.robot.subsystems.swervedrive2.swervelib.motors

## Enum SparkMaxSwerve.SparkMAX_slotIdx

- java.lang.Object
- - java.lang.Enum<SparkMaxSwerve.SparkMAX_slotIdx>
  - - frc.robot.subsystems.swervedrive2.swervelib.motors.SparkMaxSwerve.SparkMAX_slotIdx

- All Implemented Interfaces:
    `Serializable`, `Comparable<SparkMaxSwerve.SparkMAX_slotIdx>`
  Enclosing class:
    SparkMaxSwerve

      static enum SparkMaxSwerve.SparkMAX_slotIdx
      extends Enum<SparkMaxSwerve.SparkMAX_slotIdx>

  REV Slots for PID configuration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `Position` |
    `Simulation` |
    `Velocity` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `private` | `SparkMAX_slotIdx()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SparkMaxSwerve.SparkMAX_slotIdx` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SparkMaxSwerve.SparkMAX_slotIdx[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Position

          public static final SparkMaxSwerve.SparkMAX_slotIdx Position

    - #### Velocity

          public static final SparkMaxSwerve.SparkMAX_slotIdx Velocity

    - #### Simulation

          public static final SparkMaxSwerve.SparkMAX_slotIdx Simulation

  - ### Constructor Detail

    - #### SparkMAX_slotIdx

          private SparkMAX_slotIdx()

  - ### Method Detail

    - #### values

          public static SparkMaxSwerve.SparkMAX_slotIdx[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SparkMaxSwerve.SparkMAX_slotIdx c : SparkMaxSwerve.SparkMAX_slotIdx.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SparkMaxSwerve.SparkMAX_slotIdx valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null